<script>
    window.Lara = {
        locale: '{{ app()->getLocale() }}',
        auth: {
            status: {{ auth()->check() ? 'true' : 'false' }},
            user: {
                first_name: '{{ auth()->check() ? auth()->user()->first_name : '' }}',
                last_name: '{{ auth()->check() ? auth()->user()->last_name : '' }}',
                phone_number: '{{ auth()->check() ? auth()->user()->phone_number : '' }}',
            }
        },
        user: {
            products: {}
        },
        routes: {
            app: {
                globalSearch: '{{ route('web.global-search') }}'
            },
            auth: {
                twoFactor: '{{ route('web.login-two-factor') }}',
                login: '{{ route('web.login') }}',
                logout: '{{ route('web.logout') }}'
            }, 
            user: {
                likes: '{{ route('web.user.likes') }}',
                likesCount: '{{ route('web.user.likes.count') }}',
                carts: '{{ route('web.user.carts') }}'
            },
            likes: {
                clear: '{{ route('web.user.likes.clear') }}'
            },
            categories: {
                show: '{{ route('web.categories.show', ['category' => 'slug']) }}',
                products: '{{ route('web.categories.products', ['category' => 'slug']) }}'
            },
            carts: {
                add: '{{ route('web.carts.add') }}',
                update: '{{ route('web.carts.update') }}',
                remove: '{{ route('web.carts.remove') }}'
            },
            products: {
                show: '{{ route('web.products.show', ['product' => 'slug']) }}',
                getImage: '{{ route('web.products.get-image') }}',
                like: '{{ route('web.products.like') }}',
                likeCount: '{{ route('web.products.like-count') }}',
                loadColor: '{{ route('web.products.load-color') }}'
            },
            orders: {
                checkout: '{{ route('web.orders.checkout') }}'
            },
            additional_pages: {
                becomeSeller: '{{ route('web.become-seller') }}'
            },
            provinces: '{{ route('web.provinces.index') }}',
            branches: '{{ route('web.branches.index') }}',
            api: {
                {{--
                    route('api.entrepreneur.register')
                    route('api.entrepreneur.verify-phone')
                    route('api.entrepreneur.verify-email')
                --}}
                entrepreneur: {
                    register: '',
                    verifyPhone: '',
                    verifyEmail: ''
                }
            }
        },
        messages: {
            success: '{{ __('Successfully done') }}'
        },
        translations: {
            region: '{{ __('Region') }}',
            order: '{{ __('Order') }}',
            name: '{{ __('Name') }}',
            phone: '{{ __('Phone') }}',
            address: '{{ __('Address') }}',
            note: '{{ __('Note') }}',
            time: '{{ __('Time') }}',
            paymentType: '{{ __('Payment type') }}',
            nonVirtual: '{{ __('Non virtual') }}',
            cash: '{{ __('Cash') }}',
            atm: '{{ __('ATM') }}',
            online: '{{ __('Online') }}',
            altynAsyr: '{{ __('Altyn Asyr') }}',
            confirm: '{{ __('Confirm') }}',
            deliveryType: '{{ __('Delivery type') }}',
            delivery: {
              standart: '{{ __('Standart') }}',
              onOwn: '{{ __('Self Pickup') }}',
              express: '{{ __('Express') }}'
            },
            regions: {
                'ag': '{{ __('Ashgabat') }}',
                'mr': '{{ __('Mary') }}',
                'ah': '{{ __('Ahal') }}',
                'dz': '{{ __('Daşoguz') }}',
                'lb': '{{ __('Lebap') }}',
                'bn': '{{ __('Balkan') }}',
            },
            province: '{{ __('Province') }}',
            provinces: '{{ __('Provinces') }}',
            branches: '{{ __('Post Branches') }}',
            branch: '{{ __('Post Branch') }}',
            favouries: {
                liked: '{{ __('Added to wishlist') }}',
                unliked: '{{ __('Removed from wishlist') }}',
            }
        }
    };

    localStorage.removeItem('wishlist-guest');
</script>
